******************************************************************
**                                                              **
**               IBM-PC Installation of DISLIN                  **
**                                                              **
**  Contents:  1.)  Introduction                                **
**             2.)  Installation of DISLIN                      **
**             3.)  Getting a DISLIN License                    **
**                                                              **
**  Date   :   15.02.2004                                       **
**  Author :   Helmut Michels                                   **
**             MPI fuer Sonnensystemforschung,                  **
**             Max-Planck-Str. 2, 37191 Katlenburg-Lindau,      **
**             Germany                                          **
**             E-mail: michels@linmpi.mpg.de                    **
******************************************************************

1.)  Introduction

     This file describes the  installation  of the  data  plotting
     software DISLIN on IBM-PCs  for  the operating system Windows
     9x/NT/2000/XP and the Salford Fortran 95 compiler FTN95.

 
2.)  Installation of DISLIN

     The  DISLIN version for the Salford Fortran 95 compiler FTN95
     distributed in the zipped file  dl_82_sf.zip.  An utility for
     unpacking the DISLIN files is available from the same locati-
     on where you have downloaded dl_82_sf.zip, or from the DISLIN
     CD-ROM. 

     To install DISLIN, make the following steps:

  a) Create a temporary directory and copy the files dl_82_sf.zip
     and unzip.exe to it:

     for example:   md  c:\temp
                    cd  c:\temp
                    copy e:\dislin\windows\unzip.exe    *.*
                    copy e:\dislin\windows\dl_82_sf.zip *.*

  b) Extract the DISLIN files with the command:

                    unzip dl_82_sf.zip    

  c) Run the setup program with the command

                    setup

     -  Choose OK

     -  Give the Installation Directory where  DISLIN  should be in-
        stalled. The default directory is C:\DISLIN.

  d) Reconfigure the System

     Add the DISLIN\WIN directory to the PATH environment in the
     file AUTOEXEC.BAT

     for example:  PATH C:\DISLIN\WIN;C:\WIN32APP\SALFORD

     Add the DISLIN environment variable DISLIN to the autoexec.bat
     file:

     for example:  SET DISLIN=c:\dislin   


  e) Now you can compile, link and run the example programs  in the
     DISLIN subdirectory examples with the commands

                    F90LINK  -a exa_f90
                    F90LINK  -a map_f90

     Another way to link programs with the DISLIN library is:

             SLINK EXA_F90.OBJ C:\DISLIN\DISF95.LIB


     Note: - The file DISLIN.MOD contains interfaces for all DISLIN 
             routines.  This file must be used in DISLIN Fortran 90 
             programs with the USE statement.  For Salfords  FTN95,
             Programs can be compiled with the option MOD_PATH.

             For example:  FTN95 /MOD_PATH c:\dislin main
 
           - F90LINK links by default with the DISLIN single precision 
             library DISF95.LIB, but there is also a double precision
             version of the library (DISF95_D.LIB).


3.) Getting a DISLIN License

   You can install and check DISLIN for 10 days.  Once this date passes,
   DISLIN must be licensed. See the file 'DISLIN.INF' for licenses and 
   prices. 

   To get a DISLIN license number , you can use the 'License Request' at
   the DISLIN site http://www.dislin.de, or you can run the program 
   'license' in the DISLIN\win directory, fill out the license fields
   and send the output file 'license.lis' to michels@linmpi.mpg.de.

   After getting a DISLIN license, you will be contacted by  Garching
   Innovation  that manages the payment of DISLIN licenses (see the file
   'DISLIN.INF' for more information). 

